/* Table of constant values */

static int c__4 = 4;

int main(void)
{
    /* Initialized data */
    static double ar[16]    /* was [4][4] */ = { 1.,.42,.54,.66,.42,1.,
            .32,.44,.54,.32,1.,.22,.66,.44,.22,1. };
    static double ai[16]    /* was [4][4] */ = { 0.,0.,0.,0.,0.,0.,0.,0.,
            0.,0.,0.,0.,0.,0.,0.,0. };

    /* Local variables */
    static int ierr;
    extern int aeg1p_c(int *, double *, double *, double *, double *,
                       double *, double *, double *, int *);
    static int i__;
    static double vi[16] /* was [4][4] */,
                  vr[16] /* was [4][4] */, rab[8], evi[4], evr[4];

#define ai_ref(a_1,a_2) ai[(a_2)*4 + a_1 - 5]
#define ar_ref(a_1,a_2) ar[(a_2)*4 + a_1 - 5]
#define vi_ref(a_1,a_2) vi[(a_2)*4 + a_1 - 5]
#define vr_ref(a_1,a_2) vr[(a_2)*4 + a_1 - 5]

    for (i__ = 1; i__ <= 4; ++i__) {
        printf("\n %24.14e %24.14e ",
            ar_ref(i__, 1), ar_ref(i__, 2));
        printf("\n %24.14e %24.14e \n",
            ar_ref(i__, 3), ar_ref(i__, 4));
    }
    for (i__ = 1; i__ <= 4; ++i__) {
        printf("\n %24.14e %24.14e ",
            ai_ref(i__, 1), ai_ref(i__, 2));
        printf("\n %24.14e %24.14e \n",
            ai_ref(i__, 3), ai_ref(i__, 4));
    }
    aeg1p_c(&c__4, ar, ai, evr, evi, vr, vi, rab, &ierr);

    for (i__ = 1; i__ <= 4; ++i__) {
        printf("\n %24.14e %24.14e ",
            ar_ref(i__, 1), ar_ref(i__, 2));
        printf("\n %24.14e %24.14e \n",
            ar_ref(i__, 3), ar_ref(i__, 4));
    }
    for (i__ = 1; i__ <= 4; ++i__) {
        printf("\n %24.14e %24.14e ",
            ai_ref(i__, 1), ai_ref(i__, 2));
        printf("\n %24.14e %24.14e \n",
            ai_ref(i__, 3), ai_ref(i__, 4));
    }
    printf("\n %24.14e %24.14e \n %24.14e %24.14e \n",
               evr[0], evr[1], evr[2], evr[3]);
    printf("\n %24.14e %24.14e \n %24.14e %24.14e \n",
               evi[0], evi[1], evi[2], evi[3]);
    for (i__ = 1; i__ <= 4; ++i__) {
        printf("\n %24.14e %24.14e ",
            vr_ref(i__, 1), vr_ref(i__, 2));
        printf("\n %24.14e %24.14e \n",
            vr_ref(i__, 3), vr_ref(i__, 4));
    }
    for (i__ = 1; i__ <= 4; ++i__) {
        printf("\n %24.14e %24.14e ",
            vi_ref(i__, 1), vi_ref(i__, 2));
        printf("\n %24.14e %24.14e \n",
            vi_ref(i__, 3), vi_ref(i__, 4));
    }
    printf("\n %5i \n", ierr);
    return 0;
} /* main */

#undef vr_ref
#undef vi_ref
#undef ar_ref
#undef ai_ref
